Bug 1011711 - can't delete application
can't delete application
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 18:00 EDT by Peter Ruan
Modified: 2015-05-14 22:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:21:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-09-24 18:00:54 EDT
Description of problem:
Once any type of application is created, it can't be delete (via rhc/web/rest).  The broker returns this error.

Deleting application 'oxuwtu' ... Unexpected error: The target_update option specified but no old configuration: : oxuwtu-origin.example.com

Version-Release number of selected component (if applicable):
current

How reproducible:

always.

Steps to Reproduce:
1. create an app of any type.
2. try to delete it
3.

Actual results:

Unexpected error: The target_update option specified but no old configuration: 
Expected results:

success
Additional info:
Comment 1 Abhishek Gupta 2013-11-13 13:33:30 EST
I believe this is now fixed.
Comment 2 Jianwei Hou 2013-11-15 03:41:51 EST
Verified with latest origin build, the apps can be deleted now.

[root@broker ~]# rhc app-delete rs
This is a non-reversible action! Your application code and data will be permanently deleted if you continue!

Are you sure you want to delete the application 'rs'? (yes|no): yes

Deleting application 'rs' ... deleted

Note You need to log in before you can comment on or make changes to this bug.